#!/bin/sh

podman pull dpage/pgadmin4
podman pull postgres:14

podman pod create --name postgres-pod \
       --replace=true \
       -p 5080:80 \
       -p 5432:5432

podman run --name main-db --pod postgres-pod --replace=true \
  -v pgdata:/var/lib/postgresql/data \
  -e POSTGRES_PASSWORD=postgres \
  -d postgres:14

podman run --name pgadmin --pod postgres-pod --replace=true \
       -e PGADMIN_DEFAULT_EMAIL="hello@postgres" \
       -e PGADMIN_DEFAULT_PASSWORD="postgres" \
       -d dpage/pgadmin4
